- (defun c:ne ()(setvar "osmode" 1)
- (setq ne1 (getpoint"\nPick point..."))
- (setvar "osmode" 0)
- (if (/= ne1 nil)(go_ne)(princ"\nInvalid Location !"))
- (princ)
- )
- (setq tx-ht 0.5)
- (defun go_ne ()(setvar "luprec" 2)
- (setq prmt (strcat "Enter TEXT HEIGHT<"(rtos tx-ht)">: "))
- (princ prmt)
- (setq x-ht (getreal))(if (= x-ht nil)(setq x-ht tx-ht))
- (setq tx-ht x-ht)
- (setq e-x (car ne1))(setq xx (rtos e-x))
- (setq n-y (cadr ne1))(setq yy (rtos n-y))
- (tx-f)
- )
- (defun tx-f ()
- (setq vx (strcat " E " xx))
- (setq vy (strcat " N " yy))
- (command "text" "j" "ml" ne1 x-ht "0" vy)
- (command "text" "j" "ml" ne1 x-ht "90" vx)
- )
这是我被告知会奏效的。 |